mochitest-browser-chrome: intermittent "browser_524745.js | Timed out"

RESOLVED WORKSFORME

Status

()

Firefox
Session Restore
RESOLVED WORKSFORME
9 years ago
6 years ago

People

(Reporter: zpao, Unassigned)

Tracking

(Depends on: 1 bug, {intermittent-failure})

Trunk
x86
Linux
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

First seen yesterday:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263170982.1263174565.29293.gz
Linux mozilla-central opt test everythingelse on 2010/01/10 16:49:42

and then again today:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263222060.1263226227.19626.gz
Linux mozilla-central opt test everythingelse on 2010/01/11 07:01:00

A window gets left open which causes errors in subsequent tests.

I've had issues with waitForFocus on Linux before (bug 521233), so I'm going to guess it's related to that.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263258586.1263261365.27525.gz
Linux mozilla-central opt test everythingelse on 2010/01/11 17:09:46
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263330172.1263334548.4443.gz
Linux mozilla-central opt test everythingelse on 2010/01/12 13:02:52
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263383360.1263386492.25064.gz
Linux mozilla-central opt test everythingelse on 2010/01/13 03:49:20
s: moz2-linux-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263414962.1263419509.14412.gz
Linux mozilla-central opt test everythingelse on 2010/01/13 12:36:02

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263416608.1263419843.18013.gz
Linux mozilla-central opt test everythingelse on 2010/01/13 13:03:28

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263415717.1263420310.23185.gz
Linux mozilla-central opt test everythingelse on 2010/01/13 12:48:37
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263781067.1263781838.28981.gz
Linux mozilla-central opt test mochitest-other on 2010/01/17 18:17:47
s: moz2-linux-slave02
Here's the text of the most recent failure (just 'cause no one's pasted it here yet).  Looks like the 2 logs before are similar. (I didn't check any of the others.)
{
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_528776.js | number of open browser windows according to nsIWindowMediator - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_528776.js | number of open browser windows according to getBrowserState - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_528776.js | number of open browser windows according to nsIWindowMediator - Got 3, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_528776.js | number of open browser windows according to getBrowserState - Got 3, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_528776.js | number of open browser windows according to nsIWindowMediator - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_528776.js | number of open browser windows according to getBrowserState - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/fuel/test/browser_Browser.js | There should be one browser window open - Got 2, expected 1
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
}
Summary: mochitest-browser-chrome: browser_524745.js | Timed out → mochitest-browser-chrome: browser_524745.js | Timed out, followed by failures in browser_528776.js
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264096760.1264098935.9503.gz
Linux mozilla-central opt test mochitest-other on 2010/01/21 09:59:20
s: moz2-linux-slave01

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Found an unexpected browser window at the end of test run
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264154658.1264155409.8000.gz
Summary: mochitest-browser-chrome: browser_524745.js | Timed out, followed by failures in browser_528776.js → mochitest-browser-chrome: browser_524745.js | Timed out
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264202478.1264204380.380.gz
Linux mozilla-central opt test mochitest-other on 2010/01/22 15:21:18
s: moz2-linux-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264450737.1264452674.25370.gz
Linux mozilla-central opt test mochitest-other on 2010/01/25 12:18:57
s: moz2-linux-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264462338.1264464137.27315.gz
Linux mozilla-central opt test mochitest-other on 2010/01/25 15:32:18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264508150.1264509063.5360.gz
s: moz2-linux-slave27
Linux mozilla-central opt test mochitest-other on 2010/01/26 04:15:50
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264635311.1264636520.2100.gz
Linux mozilla-central opt test mochitest-other on 2010/01/27 15:35:11  
s: moz2-linux-slave27
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Found an unexpected browser window at the end of test run
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264673402.1264674731.3756.gz
Linux mozilla-central opt test mochitest-other on 2010/01/28 02:10:02
s: moz2-linux-slave26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264759340.1264760363.25298.gz
Linux mozilla-central opt test mochitest-other on 2010/01/29 02:02:20
s: moz2-linux-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264883125.1264884183.26268.gz
Linux mozilla-central opt test mochitest-other on 2010/01/30 12:25:25
s: moz2-linux-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264960455.1264961479.26392.gz
Linux mozilla-central opt test mochitest-other on 2010/01/31 09:54:15
s: moz2-linux-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264987086.1264988424.31615.gz
Linux mozilla-central opt test mochitest-other on 2010/01/31 17:18:06
s: moz2-linux-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265050984.1265052281.6233.gz
Linux mozilla-central opt test mochitest-other on 2010/02/01 11:03:04
s: moz2-linux-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265084008.1265085948.20547.gz
Linux mozilla-central opt test mochitest-other on 2010/02/01 20:13:28
s: moz2-linux-slave26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265097567.1265099220.4387.gz
Linux mozilla-central opt test mochitest-other on 2010/02/01 23:59:27  
s: moz2-linux-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265162378.1265164013.10313.gz
Linux mozilla-central opt test mochitest-other on 2010/02/02 17:59:38
s: moz2-linux-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265169892.1265172241.4065.gz
Linux mozilla-central opt test mochitest-other on 2010/02/02 20:04:52
s: moz2-linux-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265172439.1265175305.4967.gz
Linux mozilla-central opt test mochitest-other on 2010/02/02 20:47:19
s: moz2-linux-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265323189.1265325028.12707.gz
Linux mozilla-central opt test mochitest-other on 2010/02/04 14:39:49
s: moz2-linux-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265337141.1265339065.7594.gz
Linux mozilla-central opt test mochitest-other on 2010/02/04 18:32:21  
s: moz2-linux-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265394818.1265395987.27516.gz
Linux mozilla-central opt test mochitest-other on 2010/02/05 10:33:38  
s: moz2-linux-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265400818.1265401792.28162.gz
Linux mozilla-central opt test mochitest-other on 2010/02/05 12:13:38  
s: moz2-linux-slave26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265416145.1265417667.29026.gz
Linux mozilla-central opt test mochitest-other on 2010/02/05 16:29:05
s: moz2-linux-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265548509.1265550343.26770.gz
s: moz2-linux-slave20PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Found an unexpected browser window at the end of test run
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265558293.1265559619.19488.gz
Linux mozilla-central opt test mochitest-other on 2010/02/07 07:58:13
s: moz2-linux-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265672519.1265674265.17335.gz
Linux mozilla-central opt test mochitest-other on 2010/02/08 15:41:59  

Similar to comment 39.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265765962.1265768259.15422.gz
Linux mozilla-central opt test mochitest-other on 2010/02/09 17:39:22
s: moz2-linux-slave12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265825786.1265826548.6503.gz
Linux mozilla-central opt test mochitest-other on 2010/02/10 10:16:26
s: moz2-linux-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265840892.1265842384.25651.gz
Linux mozilla-central opt test mochitest-other on 2010/02/10 14:28:12
s: moz2-linux-slave12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265958303.1265959198.27995.gz
Linux mozilla-central opt test mochitest-other on 2010/02/11 23:05:03  
s: moz2-linux-slave26
http://tinderbox.mozilla.org/showlog.cgi?log=Places/1265997439.1265999574.5925.gz&fulltext=1
Linux places opt test mochitest-other [testfailed] Started 09:57, finished 10:33
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265998617.1266000009.11112.gz
Linux mozilla-central opt test mochitest-other on 2010/02/12 10:16:57
s: moz2-linux-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266498844.1266499440.27995.gz
Linux mozilla-central opt test mochitest-other on 2010/02/18 05:14:04
s: moz2-linux-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266544585.1266546178.13072.gz
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Found an unexpected browser window at the end of test run
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 1 (crashed)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266588595.1266589675.30123.gz
Linux mozilla-central opt test mochitest-other on 2010/02/19 06:09:55  
s: moz2-linux-slave28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266665778.1266666676.13569.gz
s: moz2-linux-slave16TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Timed out
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Found an unexpected browser window at the end of test run
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266705377.1266706296.14352.gz
Linux mozilla-central opt test mochitest-other on 2010/02/20 14:36:17
s: moz2-linux-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266767287.1266768521.13424.gz
Linux mozilla-central opt test mochitest-other on 2010/02/21 07:48:07
s: moz2-linux-slave18
Linux mozilla-central opt test mochitest-other [testfailed] Started 08:04, finished 08:27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267027463.1267028768.27801.gz&fulltext=1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267159314.1267160229.542.gz
Linux mozilla-central opt test mochitest-other on 2010/02/25 20:41:54
s: moz2-linux-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267163463.1267164600.12801.gz
Linux mozilla-central opt test mochitest-other on 2010/02/25 21:51:03
s: moz2-linux-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267307546.1267309351.1922.gz
Linux mozilla-central opt test mochitest-other on 2010/02/27 13:52:26
s: moz2-linux-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267370165.1267371365.18356.gz
Linux mozilla-central opt test mochitest-other on 2010/02/28 07:16:05
s: moz2-linux-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267446023.1267447423.19295.gz
Linux mozilla-central opt test mochitest-other on 2010/03/01 04:20:23
s: moz2-linux-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267608879.1267610901.26440.gz
Linux mozilla-central opt test mochitest-other on 2010/03/03 01:34:39
s: moz2-linux-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267620098.1267622275.7730.gz
Linux mozilla-central opt test mochitest-other on 2010/03/03 04:41:38
s: moz2-linux-slave12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267618797.1267621208.1960.gz
Linux mozilla-central opt test mochitest-other on 2010/03/03 04:19:57
s: moz2-linux-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267645952.1267647296.3639.gz
Linux mozilla-central opt test mochitest-other on 2010/03/03 11:52:32
s: moz2-linux-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267688324.1267689313.5523.gz
Linux mozilla-central opt test mochitest-other on 2010/03/03 23:38:44  
s: moz2-linux-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267798513.1267800176.3080.gz
Linux mozilla-central opt test mochitest-other on 2010/03/05 06:15:13
s: moz2-linux-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267832157.1267833937.909.gz
Linux mozilla-central opt test mochitest-other on 2010/03/05 15:35:57
s: moz2-linux-slave07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268035077.1268036604.15585.gz
Linux mozilla-central opt test mochitest-other 
s: moz2-linux-slave22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268057841.1268059704.14160.gz
Linux mozilla-central opt test mochitest-other on 2010/03/08 06:17:21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268184022.1268186596.4116.gz
Linux mozilla-central opt test mochitest-other on 2010/03/09 17:20:22
s: moz2-linux-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268219791.1268221494.28338.gz
Linux mozilla-central opt test mochitest-other on 2010/03/10 03:16:31
s: moz2-linux-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268407456.1268409273.25701.gz
Linux mozilla-central opt test mochitest-other on 2010/03/12 07:24:16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268519353.1268521171.16485.gz
Linux mozilla-central opt test mochitest-other on 2010/03/13 14:29:13
s: moz2-linux-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268523659.1268524894.24966.gz
Linux mozilla-central opt test mochitest-other on 2010/03/13 15:40:59
s: moz2-linux-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268600601.1268602331.14684.gz
Linux mozilla-central opt test mochitest-other on 2010/03/14 14:03:21
s: moz2-linux-slave23

Updated

9 years ago
Depends on: 521233
Regarding dependency on bug 521233, Neil made me notice that when this test times out it does not even print the initial debug informations from WaitForFocus, so looks like it is not even called.
talking about: debugFocusLog("before wait for focus");
now that i think about it, is it possible it is not printing messages because it tries to use SimpleTest.ok() rather than browser-test ok()? could make sense to override SimpleTest.ok with our own.
confirmed that SimpleTest.waitForFocus uses its own ok()

Updated

9 years ago
Depends on: 553248
now that bug 553248 has been fixed, we could get some useful logging from waitForFocus.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268973364.1268974162.29516.gz
Linux mozilla-central opt test mochitest-other on 2010/03/18 21:36:04
s: moz2-linux-slave16
TEST-PASS | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Only one browser window should be open initially
TEST-PASS | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | before wait for focus -- loaded: complete active window: ([object ChromeWindow]) chrome://browser/content/browser.xul focused window: ([object XPCNativeWrapper [object Window]]) about:blank desired window: ([object ChromeWindow]) chrome://browser/content/browser.xul docshell visible: true
TEST-PASS | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | must wait for focus
TEST-PASS | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | MozAfterPaint event received
TEST-PASS | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | maybe run tests <load:true, focus:false> -- loaded: complete active window: ([object ChromeWindow]) chrome://browser/content/browser.xul focused window: ([object XPCNativeWrapper [object Window]]) about:blank desired window: ([object ChromeWindow]) chrome://browser/content/browser.xul docshell visible: true
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Timed out
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269103873.1269104700.2526.gz
Linux mozilla-central opt test mochitest-other on 2010/03/20 09:51:13
s: moz2-linux-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269674822.1269675561.25589.gz
Linux mozilla-central opt test mochitest-other on 2010/03/27 00:27:02
s: moz2-linux-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269890538.1269891201.16013.gz
Linux mozilla-central opt test mochitest-other on 2010/03/29 12:22:18
s: moz2-linux-slave28
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269994694.1269995522.30975.gz
Linux mozilla-central opt test mochitest-other on 2010/03/30 17:18:14
s: moz2-linux-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269995927.1269996822.2199.gz
Linux mozilla-central opt test mochitest-other on 2010/03/30 17:38:47
s: moz2-linux-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270057408.1270058148.27284.gz
Linux mozilla-central opt test mochitest-other on 2010/03/31 10:43:28
s: moz2-linux-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270068216.1270070570.29997.gz
Linux mozilla-central opt test mochitest-other on 2010/03/31 13:43:36
s: moz2-linux-slave27

Comment 103

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270072569.1270073317.6728.gz
Linux mozilla-central opt test mochitest-other on 2010/03/31 14:56:09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270144793.1270145704.15438.gz
Linux mozilla-central opt test mochitest-other on 2010/04/01 10:59:53
s: moz2-linux-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270505252.1270506320.10491.gz
Linux mozilla-central opt test mochitest-other on 2010/04/05 15:07:32
s: moz2-linux-slave13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270510262.1270511256.25493.gz
Linux mozilla-central opt test mochitest-other on 2010/04/05 16:31:02
s: moz2-linux-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270524519.1270525195.28116.gz
Linux mozilla-central opt test mochitest-other on 2010/04/05 20:28:39
s: moz2-linux-slave25
Comment hidden (Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270588110.1270589019.11078.gz
Linux mozilla-central opt test mochitest-other on 2010/04/06 14:08:30
s: moz2-linux-slave20
Comment hidden (Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270632607.1270633526.8659.gz
Linux mozilla-central opt test mochitest-other on 2010/04/07 02:30:07
s: moz2-linux-slave26
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271134395.1271135168.16734.gz
Linux mozilla-central opt test mochitest-other on 2010/04/12 21:53:15
s: moz2-linux-slave09
Summary: mochitest-browser-chrome: browser_524745.js | Timed out → mochitest-browser-chrome: intermittent "browser_524745.js | Timed out"
(In reply to comment #117)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271134395.1271135168.16734.gz
> Linux mozilla-central opt test mochitest-other, Started 21:53, finished 22:07

(In reply to comment #118)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271134395.1271135168.16734.gz
> Linux mozilla-central opt test mochitest-other on 2010/04/12 21:53:15
> s: moz2-linux-slave09

Ah, same...
Comment hidden (Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271276391.1271277361.20067.gz
Linux mozilla-central opt test mochitest-other on 2010/04/14 13:19:51
s: moz2-linux-slave21
Test disabled for now: http://hg.mozilla.org/mozilla-central/rev/0b3c38dad8a7
Whiteboard: [orange] → [orange][test disabled]

Comment 123

8 years ago
It's enabled by http://hg.mozilla.org/mozilla-central/rev/eb49e81b9f4d , comment in makefile.in still saying that it's enabled.
This test was reenabled by bug 554873. So far so good.

I pushed http://hg.mozilla.org/mozilla-central/rev/f87fbec86db6 to remove the disabled comment in the makefile.
Whiteboard: [orange][test disabled] → [orange]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Since every single thing since comment 125 has been "first browser_522545.js timed out, and then browser_524745.js, running in its leftover state, timed out" I suspect that this was actually fixed in May, and everything after that has really been a duplicate of bug 597054 and will go away with the increased timeout there. Looked at more broadly, browser_522545.js should be doing registerCleanupFunction(), and browser_524745.js should be creating the state it needs to be in, but personally I'm more interested in seeing huge [orange] bugs closed.
Depends on: 597054
Comment hidden (Treeherder Robot)
Comment 189 was from before I pushed the increased timeout for bug 597054, so it doesn't count.
Comment hidden (Treeherder Robot)
I can't seem to keep remembering that I don't want to star this from unmerged other trees. Fixed per comment 188.
Assignee: nobody → philringnalda
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Target Milestone: --- → Firefox 4.0b8
Target Milestone: Firefox 4.0b8 → Firefox 4.0b7
Because there's no real limit on the amout of suck that can be jammed into a Windows debug build running on a non-iX slave:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1289527421.1289532430.30870.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/11/11 18:03:41
s: win32-slave07

TEST-INFO | maybe run tests <load:true, focus:true> -- loaded: complete active window: ([object ChromeWindow @ 0x33102c8 (native @ 0x330d450)]) chrome://browser/content/browser.xul focused window: ([object XrayWrapper [object Window @ 0x13384910 (native @ 0x767a740)]]) http://example.com/ desired window: ([object ChromeWindow @ 0x33102c8 (native @ 0x330d450)]) chrome://browser/content/browser.xul child window: ([object XrayWrapper [object Window @ 0x13384910 (native @ 0x767a740)]]) http://example.com/ docshell visible: true
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5565
TEST-INFO | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | Console message: CoCreateInstance() FAILED.

++DOMWINDOW == 162 (06CF26A8) [serial = 2878] [outer = 0874D520]
TEST-PASS | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser/browser_522545.js | Only one browser window should be open eventually
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
--DOCSHELL 04864320 == 12
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
--DOCSHELL 04625D40 == 11
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
WARNING: NS_ENSURE_SUCCESS(rv, 0) failed with result 0x8000FFFF: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsContentUtils.cpp, line 2917
WARNING: NS_ENSURE_TRUE(pusher.Push(aBoundElement)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/xbl/src/nsXBLProtoImplMethod.cpp, line 331
--DOCSHELL 089ACDD0 == 10
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5565
WARNING: Positioned frame that does not handle positioned kids; looking further up the parent chain: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/layout/base/nsCSSFrameConstructor.cpp, line 5565
--DOMWINDOW == 161 (154E08A0) [serial = 2873] [outer = 0874D520] [url = about:blank]
--DOMWINDOW == 160 (13A52620) [serial = 2866] [outer = 15F854C8] [url = http://example.com/20]
--DOMWINDOW == 159 (15F85508) [serial = 2832] [outer = 00000000] [url = http://example.com/20]
--DOMWINDOW == 158 (13C2C178) [serial = 2791] [outer = 1356A418] [url = about:mozilla]
--DOMWINDOW == 157 (1356A458) [serial = 2784] [outer = 00000000] [url = about:mozilla]
--DOMWINDOW == 156 (076D5250) [serial = 945] [outer = 085C7DD8] [url = about:blank]
--DOMWINDOW == 155 (085C7E18) [serial = 944] [outer = 00000000] [url = data:text/html,<h1>A%20Page</h1>]
--DOCSHELL 03A17BA8 == 9
--DOCSHELL 03304A90 == 8
--DOMWINDOW == 154 (14983078) [serial = 2842] [outer = 143C3610] [url = http://example.com/0]
--DOCSHELL 14203CD0 == 7
--DOMWINDOW == 153 (048FD680) [serial = 9] [outer = 046268B0] [url = about:blank]
--DOMWINDOW == 152 (046268F0) [serial = 5] [outer = 00000000] [url = about:blank]
--DOMWINDOW == 151 (0781BB20) [serial = 618] [outer = 04E577D8] [url = chrome://browser/content/inspector.html]
--DOMWINDOW == 150 (04E57818) [serial = 616] [outer = 00000000] [url = chrome://browser/content/inspector.html]
--DOMWINDOW == 149 (03A18330) [serial = 6] [outer = 00000000] [url = about:blank]
--DOMWINDOW == 148 (082799C8) [serial = 1567] [outer = 00000000] [url = http://mochi.test:8888/browser/browser/components/privatebrowsing/test/browser/popup.html]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser/browser_524745.js | application timed out after 330 seconds with no output

command timed out: 1200 seconds without output
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Assignee: philringnalda → nobody
Status: REOPENED → NEW
Flags: in-testsuite+
Target Milestone: Firefox 4.0b7 → ---
Status: NEW → RESOLVED
Last Resolved: 8 years ago6 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

6 years ago
Keywords: intermittent-failure
(Assignee)

Updated

6 years ago
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.